最新文章

[python3]確認與安裝pip

從pypa.io下載安裝指令碼 安裝pip之前必須安裝Python。 Ubuntu在13.04之後的版本都有預載python3了,確認一下是否真的有安裝。 python3 --version 確認過後真的有,接著以下步驟。這個指令說是從pypa.io下載安裝最新版本的pip和setuptools的套件。 cur...

[Ubuntu]使用RVM安裝Ruby

首先必須講,盡量不要用 sudo apt-get install ruby 這個指令安裝。有在Ruby社群的可能也有被建議過不要使用套件管理工具來安裝,因為這個會安裝一個穩定但是老舊的版本(好像是2.3.?)。而我是為了jekyll而安裝,那時它就有跑出錯誤訊息說Ruby需要2.4.0的版本。所以我整個砍掉重練…...

[jekyll]錯誤訊息Could not find gem…

最近在Ubuntu上安裝jekyll,遇到不少問題,好險有各種強大的網友們。直到今天真正要使用jekyll去生成我的網站時,各種錯誤訊息來襲,只好認命繼續看哪裡出錯了…

[Ubuntu]錯誤訊息:unable to resolve host

Linux系統給我的感覺就是必須為自己的所有行為負責(主要是一個錯誤就必須抽絲剝繭)。今天我只是要安裝個ruby環境就突然碰到不少問題,將問題做個分類一一記錄。